!------------------------------------------------------------------------------
!
!  Program name:
!
!    choose_prec
!
!  Purpose:
!
!    This program uses the precision module and shows how to select
!    single or double precision by changing a single value.
!
!------------------------------------------------------------------------------

PROGRAM choose_prec

  ! Select desired precision from module.
  USE precision, ONLY : wp => dp        ! dp for double, sp for single

  IMPLICIT NONE
  REAL (KIND = wp) :: a

  WRITE(*, *) HUGE(a)

END PROGRAM choose_prec
